#
#       Makefile for sample applications
#

DEBUG= E        # set to D for disable, E for enable

#
#
# auto configure section
#
#

#if DEBUG=E
IDEBUG=-v
#endif

CLIB=ertostcp.lib rtos.lib

CFLAGS= -ml $(IDEBUG) -I..\inc -L..\lib
CC= bcc $(CFLAGS)

#
#
#  list of executables
#
#

.c.exe:
        $(CC) $*.c $(CLIB)


all: test.exe test1.exe test2.exe test3.exe test4.exe test5.exe test6.exe \
     test7.exe  test8.exe test9.exe test10.exe test11.exe test12.exe \
     test13.exe test14.exe test15.exe test16.exe test17.exe test18.exe\
     term.exe term2.exe term3.exe \
     mathtest.exe stktest.exe

        echo done make with debugging $(TEXTDEBUG)


